# Asterisk Project : Asterisk 13 Function_CHANNELS

Created by wikibot on Aug 08, 2014

# CHANNELS()

### Synopsis

Gets the list of channels, optionally filtering by a regular expression.

### Description

Gets the list of channels, optionally filtering by a regular_expression. If no argument is provided, all known channels are returned. The regular_expression must correspond to the POSIX.2 specification, as shown in regex(7). The list returned will be space-delimited.

### Syntax

    CHANNELS(regular_expression)

##### Arguments

- `regular_expression`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538